Loading...
Searching...
No Matches
pdftron::Crypto::X501DistinguishedName Class Reference

`#include <X501DistinguishedName.h>`

## Public Member Functions
| X501DistinguishedName (const X501DistinguishedName &other)
X501DistinguishedName & | operator= (const X501DistinguishedName &other)
| ~X501DistinguishedName ()
void | Destroy ()
bool | HasAttribute (const ObjectIdentifier &in_oid) const
std::vector< UString > | GetStringValuesForAttribute (const ObjectIdentifier &in_oid) const
std::vector< pdftron::Crypto::X501AttributeTypeAndValue > | GetAllAttributesAndValues () const
| X501DistinguishedName (TRN_X501DistinguishedName impl)

## Public Attributes
TRN_X501DistinguishedName | m_impl

## Detailed Description

This class represents a distinguished name (DN) as defined in X.501. See the X.500 standards, RFC 5280, and an OID repository for more information.

Definition at line 22 of file X501DistinguishedName.h.

## Constructor & Destructor Documentation

## ◆ X501DistinguishedName() [1/2]

pdftron::Crypto::X501DistinguishedName::X501DistinguishedName | ( | const X501DistinguishedName & | other | ) |

## ◆ ~X501DistinguishedName()

pdftron::Crypto::X501DistinguishedName::~X501DistinguishedName | ( |  | ) |

## ◆ X501DistinguishedName() [2/2]

pdftron::Crypto::X501DistinguishedName::X501DistinguishedName | ( | TRN_X501DistinguishedName | impl | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::Crypto::X501DistinguishedName::Destroy | ( |  | ) |

## ◆ GetAllAttributesAndValues()

std::vector< pdftron::Crypto::X501AttributeTypeAndValue > pdftron::Crypto::X501DistinguishedName::GetAllAttributesAndValues | ( |  | ) | const

Retrieves all of the attribute-type-to-value pairs in this distinguished name.

Returns
  a container of X501AttributeTypeAndValue objects

## ◆ GetStringValuesForAttribute()

std::vector< UString > pdftron::Crypto::X501DistinguishedName::GetStringValuesForAttribute | ( | const ObjectIdentifier & | in_oid | ) | const

Returns a container full of string representations of all the values in this distinguished name that match a particular attribute's object identifier (OID). If an attribute's OID defines the corresponding value to not be of a string type, then that value will not be returned from this function.

Parameters

  in_oid | the object identifier representing the sought attribute.

Returns
  a container of string values containing any strings associated with the supplied attribute

## ◆ HasAttribute()

bool pdftron::Crypto::X501DistinguishedName::HasAttribute | ( | const ObjectIdentifier & | in_oid | ) | const

Returns whether this distinguished name contains a particular attribute, identified by its object identifier (OID).

Parameters

  in_oid | the object identifier representing the sought attribute.

Returns
  a boolean value representing whether this distinguished name contains the supplied attribute.

## ◆ operator=()

X501DistinguishedName & pdftron::Crypto::X501DistinguishedName::operator= | ( | const X501DistinguishedName & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_X501DistinguishedName pdftron::Crypto::X501DistinguishedName::m_impl

Definition at line 68 of file X501DistinguishedName.h.

The documentation for this class was generated from the following file:

- Crypto/X501DistinguishedName.h